org.eclipse.mat.hprof

## Class ExportHprof

- java.lang.Object
- - org.eclipse.mat.hprof.ExportHprof

All Implemented Interfaces:
  IQuery

    public class ExportHprof
    extends Object
    implements IQuery

### Nested Class Summary

Nested Classes
`static class` `ExportHprof.RedactType`
`static class` `ExportHprof.Remap` Remaps class names.

### Field Summary

Fields
`Pattern` `avoidPattern`
`boolean` `classesAsInstances` Dump class fields as a instance dump
`File` `mapFile`
`IHeapObjectArgument` `objects`
`File` `output`
`ExportHprof.RedactType` `redact`
`Pattern` `skipPattern`
`ISnapshot` `snapshot`
`boolean` `undo`

### Constructor Summary

Constructors
Constructor and Description
`ExportHprof()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dumpThreadRoots(DataOutput os, IClass cls)`
`IResult` `execute(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.
`int` `findID(int id, int[][] objid)` Find the stack frame in which an object is referenced.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

#### output

    public File output

#### redact

    public ExportHprof.RedactType redact

#### mapFile

    public File mapFile

#### skipPattern

    public Pattern skipPattern

#### avoidPattern

    public Pattern avoidPattern

#### undo

    public boolean undo

#### objects

    public IHeapObjectArgument objects

#### classesAsInstances

    public boolean classesAsInstances

Dump class fields as a instance dump

### Constructor Detail

#### ExportHprof

    public ExportHprof()

### Method Detail

#### execute

    public IResult execute(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query

#### findID

    public int findID(int id,
                      int[][] objid)

Find the stack frame in which an object is referenced. Remove it from the list.

Parameters:
  `id` -
  `objid` -
Returns:

#### dumpThreadRoots

    public void dumpThreadRoots(DataOutput os,
                                IClass cls)
                         throws SnapshotException,
                                IOException

Throws:
  `SnapshotException`
  `IOException`